Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5099)
@@ -2783,205 +2753,202 @@
     !   d_ts,      fevap,     fluxlat, t2m,
     !   wfbils,    fluxt,   fluxu, fluxv,
-    !
-    ! Certains ne sont pas utiliser du tout : 
+
+    ! Certains ne sont pas utiliser du tout :
     !   dsens, devap, zxsnow, zxfluxt, zxfluxq, q2m, fluxq
-    !
 
     ! Calcul de l'humidite de saturation au niveau du sol
 
-! Tests Fredho, instensibilite au pas de temps -------------------------------
-! A detruire en 2024 une fois les tests documentes et les choix faits        !
-! Conservation des variables avant l'appel à l a diffusion pour les tehrmic  !
-    if (iflag_thermals_tenv / 10 == 1 ) then                                 !
-        do k=1,klev                                                          !
-           do i=1,klon                                                       !
-              t_env(i,k)=t_seri(i,k)                                         !
-              q_env(i,k)=q_seri(i,k)                                         !
-           enddo                                                             !
-        enddo                                                                !
-    else if (iflag_thermals_tenv / 10 == 2 ) then                            !
-        do k=1,klev                                                          !
-           do i=1,klon                                                       !
-              t_env(i,k)=t_seri(i,k)                                         !
-           enddo                                                             !
-        enddo                                                                !
+    ! Tests Fredho, instensibilite au pas de temps -------------------------------
+    ! A detruire en 2024 une fois les tests documentes et les choix faits        !
+    ! Conservation des variables avant l'appel à l a diffusion pour les tehrmic  !
+    if (iflag_thermals_tenv / 10 == 1) then                                 !
+      do k = 1, klev                                                          !
+        do i = 1, klon                                                       !
+          t_env(i, k) = t_seri(i, k)                                         !
+          q_env(i, k) = q_seri(i, k)                                         !
+        enddo                                                             !
+      enddo                                                                !
+    else if (iflag_thermals_tenv / 10 == 2) then                            !
+      do k = 1, klev                                                          !
+        do i = 1, klon                                                       !
+          t_env(i, k) = t_seri(i, k)                                         !
+        enddo                                                             !
+      enddo                                                                !
     endif                                                                    !
-! Tests Fredho, instensibilite au pas de temps -------------------------------
-
+    ! Tests Fredho, instensibilite au pas de temps -------------------------------
 
     IF (iflag_pbl/=0) THEN
 
-       !jyg+nrlmd<
-!!jyg       IF (prt_level .ge. 2 .and. mod(iflag_pbl_split,2) .eq. 1) THEN
-       IF (prt_level >= 2 .and. mod(iflag_pbl_split,10) >= 1) THEN
-          print *,'debut du splitting de la PBL, wake_s = ', wake_s(:)
-          print *,'debut du splitting de la PBL, wake_deltat = ', wake_deltat(:,1)
-          print *,'debut du splitting de la PBL, wake_deltaq = ', wake_deltaq(:,1)
-       ENDIF
-       ! !!
-       !>jyg+nrlmd
-       !
-       !-------gustiness calculation-------!
-       !ym : Warning gustiness non inialized for iflag_gusts=2 & iflag_gusts=3
-       gustiness=0  !ym missing init
-       
-       IF (iflag_gusts==0) THEN
-          gustiness(1:klon)=0
-       ELSE IF (iflag_gusts==1) THEN
-          gustiness(1:klon)=f_gust_bl*ale_bl(1:klon)+f_gust_wk*ale_wake(1:klon)
-       ELSE IF (iflag_gusts==2) THEN
-          gustiness(1:klon)=f_gust_bl*ale_bl_stat(1:klon)+f_gust_wk*ale_wake(1:klon)
-       !!!! modif olivier torres
-       ELSE IF (iflag_gusts==3) THEN
-          w_et=wstar(1,3)
-          jlr_g_s=(0.65*w_et)**2
-          pr_et=rain_con*8640
-          jlr_g_c = (((19.8*(pr_et(1:klon)**2))/(1.5+pr_et(1:klon)+pr_et(1:klon)**2))**(0.4))**2
-          gustiness(1:klon)=jlr_g_c+jlr_g_s
-!!       write(*,*) "rain ",pr_et
-!!       write(*,*) "jlr_g_c",jlr_g_c
-!!       write(*,*) "wstar",wstar(1,3)
-!!       write(*,*) "jlr_g_s",jlr_g_s
-          ! ELSE IF (iflag_gusts==2) THEN
-          !    do i = 1, klon
-          !       gustiness(i)=f_gust_bl*ale_bl(i)+sigma_wk(i)*f_gust_wk&
-          !           *ale_wake(i) !! need to make sigma_wk accessible here
-          !    enddo
-          ! ELSE IF (iflag_gusts==3) THEN
-          !    do i = 1, klon
-          !       gustiness(i)=f_gust_bl*alp_bl(i)+f_gust_wk*alp_wake(i)
-          !    enddo
-       ENDIF
-
-       CALL pbl_surface(  &
-            phys_tstep,     date0,     itap,    days_elapsed+1, &
-            debut,     lafin, &
-            longitude_deg, latitude_deg, rugoro,  zrmu0,      &
-            sollwdown,    cldt,      &
-            rain_fall, snow_fall, bs_fall, solsw,   solswfdiff, sollw,     &
-            gustiness,                                &
-            t_seri,    q_seri,   qbs_seri,  u_seri,  v_seri,    &
-                                !nrlmd+jyg<
-            wake_deltat, wake_deltaq, wake_cstar, wake_s, &
-                                !>nrlmd+jyg
-            pplay,     paprs,     pctsrf,             &
-            ftsol,SFRWL,falb_dir,falb_dif,ustar,u10m,v10m,wstar, &
-                                !albedo SB <<<
-            cdragh,    cdragm,  u1,    v1,            &
-            beta_aridity, &
-                                !albedo SB >>>
-                                ! albsol1,   albsol2,   sens,    evap,      &
-            albsol_dir,   albsol_dif,   sens,    evap, snowerosion, &  
-                                !albedo SB <<<
-            albsol3_lic,runoff,   snowhgt,   qsnow, to_ice, sissnow, &
-            zxtsol,    zxfluxlat, zt2m,    qsat2m,  zn2mout, &
-            d_t_vdf,   d_q_vdf, d_qbs_vdf,  d_u_vdf, d_v_vdf, d_t_diss, &
-                                !nrlmd<
-                                !jyg<
-            d_t_vdf_w, d_q_vdf_w, &
-            d_t_vdf_x, d_q_vdf_x, &
-            sens_x, zxfluxlat_x, sens_w, zxfluxlat_w, &
-                                !>jyg
-            delta_tsurf,wake_dens, &
-            cdragh_x,cdragh_w,cdragm_x,cdragm_w, &
-            kh,kh_x,kh_w, &
-                                !>nrlmd
-            coefh(1:klon,1:klev,1:nbsrf+1), coefm(1:klon,1:klev,1:nbsrf+1), &
-            slab_wfbils,                 &
-            qsol,      zq2m,      s_pblh,  s_lcl, &
-                                !jyg<
-            s_pblh_x, s_lcl_x, s_pblh_w, s_lcl_w, &
-                                !>jyg
-            s_capCL,   s_oliqCL,  s_cteiCL,s_pblT, &
-            s_therm,   s_trmb1,   s_trmb2, s_trmb3, &
-            zustar, zu10m,     zv10m,   fder, &
-            zxqsurf, delta_qsurf,   rh2m,      zxfluxu, zxfluxv, &
-            z0m, z0h,     agesno,    fsollw,  fsolsw, &
-            d_ts,      fevap,     fluxlat, t2m, &
-            wfbils, wfevap, & 
-            fluxt,   fluxu,  fluxv, &
-            dsens,     devap,     zxsnow, &
-            zxfluxt,   zxfluxq,  zxfluxqbs,  q2m, fluxq, fluxqbs, pbl_tke, pbl_eps,  &
-                                !nrlmd+jyg<
-            wake_delta_pbl_TKE, &
-                                !>nrlmd+jyg
-             treedrg )
-!FC
-       !
-       !  Add turbulent diffusion tendency to the wake difference variables
-!!jyg       IF (mod(iflag_pbl_split,2) .NE. 0) THEN
-       IF (mod(iflag_pbl_split,10) /= 0) THEN
-!jyg<
-          d_deltat_vdf(:,:) = d_t_vdf_w(:,:)-d_t_vdf_x(:,:)
-          d_deltaq_vdf(:,:) = d_q_vdf_w(:,:)-d_q_vdf_x(:,:)
-          CALL add_wake_tend &
-             (d_deltat_vdf, d_deltaq_vdf, dsig0, dsig0, ddens0, ddens0, wkoccur1, 'vdf', abortphy) 
-       ELSE
-          d_deltat_vdf(:,:) = 0.
-          d_deltaq_vdf(:,:) = 0.
-!>jyg
-       ENDIF
-
-       !---------------------------------------------------------------------
-       ! ajout des tendances de la diffusion turbulente
-       IF (klon_glo==1) THEN
-          CALL add_pbl_tend &
-               (d_u_vdf,d_v_vdf,d_t_vdf+d_t_diss,d_q_vdf,dql0,dqi0,d_qbs_vdf,paprs,&
-               'vdf',abortphy,flag_inhib_tend,itap)
-       ELSE
-          CALL add_phys_tend &
-               (d_u_vdf,d_v_vdf,d_t_vdf+d_t_diss,d_q_vdf,dql0,dqi0,d_qbs_vdf,paprs,&
-               'vdf',abortphy,flag_inhib_tend,itap,0)
-       ENDIF
-       CALL prt_enerbil('vdf',itap)
-
-       !--------------------------------------------------------------------
-
-       IF (mydebug) THEN
-          CALL writefield_phy('u_seri',u_seri,nbp_lev)
-          CALL writefield_phy('v_seri',v_seri,nbp_lev)
-          CALL writefield_phy('t_seri',t_seri,nbp_lev)
-          CALL writefield_phy('q_seri',q_seri,nbp_lev)
-       ENDIF
-
-       !albedo SB >>>
-       albsol1=0.
-       albsol2=0.
-       falb1=0.
-       falb2=0.
-       SELECT CASE(nsw)
-       CASE(2)
-          albsol1=albsol_dir(:,1)
-          albsol2=albsol_dir(:,2)
-          falb1=falb_dir(:,1,:)
-          falb2=falb_dir(:,2,:)
-       CASE(4)
-          albsol1=albsol_dir(:,1)
-          albsol2=albsol_dir(:,2)*SFRWL(2)+albsol_dir(:,3)*SFRWL(3) &
-               +albsol_dir(:,4)*SFRWL(4)
-          albsol2=albsol2/(SFRWL(2)+SFRWL(3)+SFRWL(4))
-          falb1=falb_dir(:,1,:)
-          falb2=falb_dir(:,2,:)*SFRWL(2)+falb_dir(:,3,:)*SFRWL(3) &
-               +falb_dir(:,4,:)*SFRWL(4)
-          falb2=falb2/(SFRWL(2)+SFRWL(3)+SFRWL(4))
-       CASE(6)
-          albsol1=albsol_dir(:,1)*SFRWL(1)+albsol_dir(:,2)*SFRWL(2) &
-               +albsol_dir(:,3)*SFRWL(3)
-          albsol1=albsol1/(SFRWL(1)+SFRWL(2)+SFRWL(3))
-          albsol2=albsol_dir(:,4)*SFRWL(4)+albsol_dir(:,5)*SFRWL(5) &
-               +albsol_dir(:,6)*SFRWL(6)
-          albsol2=albsol2/(SFRWL(4)+SFRWL(5)+SFRWL(6))
-          falb1=falb_dir(:,1,:)*SFRWL(1)+falb_dir(:,2,:)*SFRWL(2) &
-               +falb_dir(:,3,:)*SFRWL(3)
-          falb1=falb1/(SFRWL(1)+SFRWL(2)+SFRWL(3))
-          falb2=falb_dir(:,4,:)*SFRWL(4)+falb_dir(:,5,:)*SFRWL(5) &
-               +falb_dir(:,6,:)*SFRWL(6)
-          falb2=falb2/(SFRWL(4)+SFRWL(5)+SFRWL(6))
-       END SELECt
-       !albedo SB <<<
-
-
-       CALL evappot(klon,nbsrf,ftsol,pplay(:,1),cdragh, &
-            t_seri(:,1),q_seri(:,1),u_seri(:,1),v_seri(:,1),evap_pot)
+      !jyg+nrlmd<
+      !!jyg       IF (prt_level .ge. 2 .and. mod(iflag_pbl_split,2) .eq. 1) THEN
+      IF (prt_level >= 2 .and. mod(iflag_pbl_split, 10) >= 1) THEN
+        print *, 'debut du splitting de la PBL, wake_s = ', wake_s(:)
+        print *, 'debut du splitting de la PBL, wake_deltat = ', wake_deltat(:, 1)
+        print *, 'debut du splitting de la PBL, wake_deltaq = ', wake_deltaq(:, 1)
+      ENDIF
+      ! !!
+      !>jyg+nrlmd
+
+      !-------gustiness calculation-------!
+      !ym : Warning gustiness non inialized for iflag_gusts=2 & iflag_gusts=3
+      gustiness = 0  !ym missing init
+
+      IF (iflag_gusts==0) THEN
+        gustiness(1:klon) = 0
+      ELSE IF (iflag_gusts==1) THEN
+        gustiness(1:klon) = f_gust_bl * ale_bl(1:klon) + f_gust_wk * ale_wake(1:klon)
+      ELSE IF (iflag_gusts==2) THEN
+        gustiness(1:klon) = f_gust_bl * ale_bl_stat(1:klon) + f_gust_wk * ale_wake(1:klon)
+        !!!! modif olivier torres
+      ELSE IF (iflag_gusts==3) THEN
+        w_et = wstar(1, 3)
+        jlr_g_s = (0.65 * w_et)**2
+        pr_et = rain_con * 8640
+        jlr_g_c = (((19.8 * (pr_et(1:klon)**2)) / (1.5 + pr_et(1:klon) + pr_et(1:klon)**2))**(0.4))**2
+        gustiness(1:klon) = jlr_g_c + jlr_g_s
+        !!       write(*,*) "rain ",pr_et
+        !!       write(*,*) "jlr_g_c",jlr_g_c
+        !!       write(*,*) "wstar",wstar(1,3)
+        !!       write(*,*) "jlr_g_s",jlr_g_s
+        ! ELSE IF (iflag_gusts==2) THEN
+        !    do i = 1, klon
+        !       gustiness(i)=f_gust_bl*ale_bl(i)+sigma_wk(i)*f_gust_wk&
+        !           *ale_wake(i) !! need to make sigma_wk accessible here
+        !    enddo
+        ! ELSE IF (iflag_gusts==3) THEN
+        !    do i = 1, klon
+        !       gustiness(i)=f_gust_bl*alp_bl(i)+f_gust_wk*alp_wake(i)
+        !    enddo
+      ENDIF
+
+      CALL pbl_surface(&
+              phys_tstep, date0, itap, days_elapsed + 1, &
+              debut, lafin, &
+              longitude_deg, latitude_deg, rugoro, zrmu0, &
+              sollwdown, cldt, &
+              rain_fall, snow_fall, bs_fall, solsw, solswfdiff, sollw, &
+              gustiness, &
+              t_seri, q_seri, qbs_seri, u_seri, v_seri, &
+              !nrlmd+jyg<
+              wake_deltat, wake_deltaq, wake_cstar, wake_s, &
+              !>nrlmd+jyg
+              pplay, paprs, pctsrf, &
+              ftsol, SFRWL, falb_dir, falb_dif, ustar, u10m, v10m, wstar, &
+              !albedo SB <<<
+              cdragh, cdragm, u1, v1, &
+              beta_aridity, &
+              !albedo SB >>>
+              ! albsol1,   albsol2,   sens,    evap,      &
+              albsol_dir, albsol_dif, sens, evap, snowerosion, &
+              !albedo SB <<<
+              albsol3_lic, runoff, snowhgt, qsnow, to_ice, sissnow, &
+              zxtsol, zxfluxlat, zt2m, qsat2m, zn2mout, &
+              d_t_vdf, d_q_vdf, d_qbs_vdf, d_u_vdf, d_v_vdf, d_t_diss, &
+              !nrlmd<
+              !jyg<
+              d_t_vdf_w, d_q_vdf_w, &
+              d_t_vdf_x, d_q_vdf_x, &
+              sens_x, zxfluxlat_x, sens_w, zxfluxlat_w, &
+              !>jyg
+              delta_tsurf, wake_dens, &
+              cdragh_x, cdragh_w, cdragm_x, cdragm_w, &
+              kh, kh_x, kh_w, &
+              !>nrlmd
+              coefh(1:klon, 1:klev, 1:nbsrf + 1), coefm(1:klon, 1:klev, 1:nbsrf + 1), &
+              slab_wfbils, &
+              qsol, zq2m, s_pblh, s_lcl, &
+              !jyg<
+              s_pblh_x, s_lcl_x, s_pblh_w, s_lcl_w, &
+              !>jyg
+              s_capCL, s_oliqCL, s_cteiCL, s_pblT, &
+              s_therm, s_trmb1, s_trmb2, s_trmb3, &
+              zustar, zu10m, zv10m, fder, &
+              zxqsurf, delta_qsurf, rh2m, zxfluxu, zxfluxv, &
+              z0m, z0h, agesno, fsollw, fsolsw, &
+              d_ts, fevap, fluxlat, t2m, &
+              wfbils, wfevap, &
+              fluxt, fluxu, fluxv, &
+              dsens, devap, zxsnow, &
+              zxfluxt, zxfluxq, zxfluxqbs, q2m, fluxq, fluxqbs, pbl_tke, pbl_eps, &
+              !nrlmd+jyg<
+              wake_delta_pbl_TKE, &
+              !>nrlmd+jyg
+              treedrg)
+      !FC
+
+      !  Add turbulent diffusion tendency to the wake difference variables
+      !!jyg       IF (mod(iflag_pbl_split,2) .NE. 0) THEN
+      IF (mod(iflag_pbl_split, 10) /= 0) THEN
+        !jyg<
+        d_deltat_vdf(:, :) = d_t_vdf_w(:, :) - d_t_vdf_x(:, :)
+        d_deltaq_vdf(:, :) = d_q_vdf_w(:, :) - d_q_vdf_x(:, :)
+        CALL add_wake_tend &
+                (d_deltat_vdf, d_deltaq_vdf, dsig0, dsig0, ddens0, ddens0, wkoccur1, 'vdf', abortphy)
+      ELSE
+        d_deltat_vdf(:, :) = 0.
+        d_deltaq_vdf(:, :) = 0.
+        !>jyg
+      ENDIF
+
+      !---------------------------------------------------------------------
+      ! ajout des tendances de la diffusion turbulente
+      IF (klon_glo==1) THEN
+        CALL add_pbl_tend &
+                (d_u_vdf, d_v_vdf, d_t_vdf + d_t_diss, d_q_vdf, dql0, dqi0, d_qbs_vdf, paprs, &
+                'vdf', abortphy, flag_inhib_tend, itap)
+      ELSE
+        CALL add_phys_tend &
+                (d_u_vdf, d_v_vdf, d_t_vdf + d_t_diss, d_q_vdf, dql0, dqi0, d_qbs_vdf, paprs, &
+                'vdf', abortphy, flag_inhib_tend, itap, 0)
+      ENDIF
+      CALL prt_enerbil('vdf', itap)
+
+      !--------------------------------------------------------------------
+
+      IF (mydebug) THEN
+        CALL writefield_phy('u_seri', u_seri, nbp_lev)
+        CALL writefield_phy('v_seri', v_seri, nbp_lev)
+        CALL writefield_phy('t_seri', t_seri, nbp_lev)
+        CALL writefield_phy('q_seri', q_seri, nbp_lev)
+      ENDIF
+
+      !albedo SB >>>
+      albsol1 = 0.
+      albsol2 = 0.
+      falb1 = 0.
+      falb2 = 0.
+      SELECT CASE(nsw)
+      CASE(2)
+        albsol1 = albsol_dir(:, 1)
+        albsol2 = albsol_dir(:, 2)
+        falb1 = falb_dir(:, 1, :)
+        falb2 = falb_dir(:, 2, :)
+      CASE(4)
+        albsol1 = albsol_dir(:, 1)
+        albsol2 = albsol_dir(:, 2) * SFRWL(2) + albsol_dir(:, 3) * SFRWL(3) &
+                + albsol_dir(:, 4) * SFRWL(4)
+        albsol2 = albsol2 / (SFRWL(2) + SFRWL(3) + SFRWL(4))
+        falb1 = falb_dir(:, 1, :)
+        falb2 = falb_dir(:, 2, :) * SFRWL(2) + falb_dir(:, 3, :) * SFRWL(3) &
+                + falb_dir(:, 4, :) * SFRWL(4)
+        falb2 = falb2 / (SFRWL(2) + SFRWL(3) + SFRWL(4))
+      CASE(6)
+        albsol1 = albsol_dir(:, 1) * SFRWL(1) + albsol_dir(:, 2) * SFRWL(2) &
+                + albsol_dir(:, 3) * SFRWL(3)
+        albsol1 = albsol1 / (SFRWL(1) + SFRWL(2) + SFRWL(3))
+        albsol2 = albsol_dir(:, 4) * SFRWL(4) + albsol_dir(:, 5) * SFRWL(5) &
+                + albsol_dir(:, 6) * SFRWL(6)
+        albsol2 = albsol2 / (SFRWL(4) + SFRWL(5) + SFRWL(6))
+        falb1 = falb_dir(:, 1, :) * SFRWL(1) + falb_dir(:, 2, :) * SFRWL(2) &
+                + falb_dir(:, 3, :) * SFRWL(3)
+        falb1 = falb1 / (SFRWL(1) + SFRWL(2) + SFRWL(3))
+        falb2 = falb_dir(:, 4, :) * SFRWL(4) + falb_dir(:, 5, :) * SFRWL(5) &
+                + falb_dir(:, 6, :) * SFRWL(6)
+        falb2 = falb2 / (SFRWL(4) + SFRWL(5) + SFRWL(6))
+      END SELECt
+      !albedo SB <<<
+
+      CALL evappot(klon, nbsrf, ftsol, pplay(:, 1), cdragh, &
+              t_seri(:, 1), q_seri(:, 1), u_seri(:, 1), v_seri(:, 1), evap_pot)
 
     ENDIF
@@ -2990,17 +2957,17 @@
     ! Blowing snow sublimation and sedimentation
 
-    d_t_bsss(:,:)=0.
-    d_q_bsss(:,:)=0.
-    d_qbs_bsss(:,:)=0.
-    bsfl(:,:)=0.
-    bs_fall(:)=0.
+    d_t_bsss(:, :) = 0.
+    d_q_bsss(:, :) = 0.
+    d_qbs_bsss(:, :) = 0.
+    bsfl(:, :) = 0.
+    bs_fall(:) = 0.
     IF (ok_bs) THEN
 
-     CALL call_blowing_snow_sublim_sedim(klon,klev,phys_tstep,t_seri,q_seri,qbs_seri,pplay,paprs, &
-                                        d_t_bsss,d_q_bsss,d_qbs_bsss,bsfl,bs_fall)
-
-     CALL add_phys_tend &
-               (du0,dv0,d_t_bsss,d_q_bsss,dql0,dqi0,d_qbs_bsss,paprs,&
-               'bsss',abortphy,flag_inhib_tend,itap,0)
+      CALL call_blowing_snow_sublim_sedim(klon, klev, phys_tstep, t_seri, q_seri, qbs_seri, pplay, paprs, &
+              d_t_bsss, d_q_bsss, d_qbs_bsss, bsfl, bs_fall)
+
+      CALL add_phys_tend &
+              (du0, dv0, d_t_bsss, d_q_bsss, dql0, dqi0, d_qbs_bsss, paprs, &
+              'bsss', abortphy, flag_inhib_tend, itap, 0)
 
     ENDIF
@@ -3010,180 +2977,178 @@
 
     DO k = 1, klev
-       DO i = 1, klon
-          zx_t = t_seri(i,k)
-          IF (thermcep) THEN
-             zdelta = MAX(0.,SIGN(1.,rtt-zx_t))
-             zx_qs  = r2es * FOEEW(zx_t,zdelta)/pplay(i,k)
-             zx_qs  = MIN(0.5,zx_qs)
-             zcor   = 1./(1.-retv*zx_qs)
-             zx_qs  = zx_qs*zcor
+      DO i = 1, klon
+        zx_t = t_seri(i, k)
+        IF (thermcep) THEN
+          zdelta = MAX(0., SIGN(1., rtt - zx_t))
+          zx_qs = r2es * FOEEW(zx_t, zdelta) / pplay(i, k)
+          zx_qs = MIN(0.5, zx_qs)
+          zcor = 1. / (1. - retv * zx_qs)
+          zx_qs = zx_qs * zcor
+        ELSE
+          !!           IF (zx_t.LT.t_coup) THEN             !jyg
+          IF (zx_t<rtt) THEN                  !jyg
+            zx_qs = qsats(zx_t) / pplay(i, k)
           ELSE
-             !!           IF (zx_t.LT.t_coup) THEN             !jyg
-             IF (zx_t<rtt) THEN                  !jyg
-                zx_qs = qsats(zx_t)/pplay(i,k)
-             ELSE
-                zx_qs = qsatl(zx_t)/pplay(i,k)
-             ENDIF
+            zx_qs = qsatl(zx_t) / pplay(i, k)
           ENDIF
-          zqsat(i,k)=zx_qs
-       ENDDO
+        ENDIF
+        zqsat(i, k) = zx_qs
+      ENDDO
     ENDDO
 
     IF (prt_level>=1) THEN
-       write(lunout,*) 'L   qsat (g/kg) avant clouds_gno'
-       write(lunout,'(i4,f15.4)') (k,1000.*zqsat(igout,k),k=1,klev)
+      write(lunout, *) 'L   qsat (g/kg) avant clouds_gno'
+      write(lunout, '(i4,f15.4)') (k, 1000. * zqsat(igout, k), k = 1, klev)
     ENDIF
-    !
+
     ! Appeler la convection (au choix)
-    !
+
     DO k = 1, klev
-       DO i = 1, klon
-          conv_q(i,k) = d_q_dyn(i,k)  &
-               + d_q_vdf(i,k)/phys_tstep
-          conv_t(i,k) = d_t_dyn(i,k)  &
-               + d_t_vdf(i,k)/phys_tstep
-       ENDDO
+      DO i = 1, klon
+        conv_q(i, k) = d_q_dyn(i, k)  &
+                + d_q_vdf(i, k) / phys_tstep
+        conv_t(i, k) = d_t_dyn(i, k)  &
+                + d_t_vdf(i, k) / phys_tstep
+      ENDDO
     ENDDO
 
     ! Calcule de vitesse verticale a partir de flux de masse verticale
     DO k = 1, klev
-       DO i = 1, klon
-          omega(i,k) = RG*flxmass_w(i,k) / cell_area(i)
-       ENDDO
+      DO i = 1, klon
+        omega(i, k) = RG * flxmass_w(i, k) / cell_area(i)
+      ENDDO
     ENDDO
 
-    IF (prt_level>=1) write(lunout,*) 'omega(igout, :) = ', &
-         omega(igout, :)
-    !
+    IF (prt_level>=1) write(lunout, *) 'omega(igout, :) = ', &
+            omega(igout, :)
+
     ! Appel de la convection tous les "cvpas"
-    !
-!!jyg    IF (MOD(itapcv,cvpas).EQ.0) THEN
-!!    print *,' physiq : itapcv, cvpas, itap-1, cvpas_0 ', &
-!!                       itapcv, cvpas, itap-1, cvpas_0
-    IF (MOD(itapcv,cvpas)==0 .OR. MOD(itap-1,cvpas_0)==0) THEN
-
-    !
-    ! Mettre a zero des variables de sortie (pour securite)
-    !
-    pmflxr(:,:) = 0.
-    pmflxs(:,:) = 0.
-    wdtrainA(:,:) = 0.
-    wdtrainS(:,:) = 0.
-    wdtrainM(:,:) = 0.
-    upwd(:,:) = 0.
-    dnwd(:,:) = 0.
-    ep(:,:) = 0.
-    da(:,:)=0.
-    mp(:,:)=0.
-    wght_cvfd(:,:)=0.
-    phi(:,:,:)=0.
-    phi2(:,:,:)=0.
-    epmlmMm(:,:,:)=0.
-    eplaMm(:,:)=0.
-    d1a(:,:)=0.
-    dam(:,:)=0.
-    elij(:,:,:)=0.
-    ev(:,:)=0.
-    qtaa(:,:)=0.
-    clw(:,:)=0.
-    sij(:,:,:)=0.
-    !
-    IF (iflag_con==1) THEN
-       abort_message ='reactiver le call conlmd dans physiq.F'
-       CALL abort_physic (modname,abort_message,1)
-       !     CALL conlmd (phys_tstep, paprs, pplay, t_seri, q_seri, conv_q,
-       !    .             d_t_con, d_q_con,
-       !    .             rain_con, snow_con, ibas_con, itop_con)
-    ELSE IF (iflag_con==2) THEN
-       CALL conflx(phys_tstep, paprs, pplay, t_seri, q_seri, &
-            conv_t, conv_q, -evap, omega, &
-            d_t_con, d_q_con, rain_con, snow_con, &
-            pmfu, pmfd, pen_u, pde_u, pen_d, pde_d, &
-            kcbot, kctop, kdtop, pmflxr, pmflxs)
-       d_u_con = 0.
-       d_v_con = 0.
-
-       WHERE (rain_con < 0.) rain_con = 0.
-       WHERE (snow_con < 0.) snow_con = 0.
-       DO i = 1, klon
-          ibas_con(i) = klev+1 - kcbot(i)
-          itop_con(i) = klev+1 - kctop(i)
-       ENDDO
-    ELSE IF (iflag_con>=3) THEN
-       ! nb of tracers for the KE convection:
-       ! MAF la partie traceurs est faite dans phytrac
-       ! on met ntra=1 pour limiter les appels mais on peut
-       ! supprimer les calculs / ftra.
-       ntra = 1
-
-       !=======================================================================
-       !ajout pour la parametrisation des poches froides: calcul de
-       !t_w et t_x: si pas de poches froides, t_w=t_x=t_seri
-       IF (iflag_wake>=1) THEN
-         DO k=1,klev
-            DO i=1,klon
-                t_w(i,k) = t_seri(i,k) + (1-wake_s(i))*wake_deltat(i,k)
-                q_w(i,k) = q_seri(i,k) + (1-wake_s(i))*wake_deltaq(i,k)
-                t_x(i,k) = t_seri(i,k) - wake_s(i)*wake_deltat(i,k)
-                q_x(i,k) = q_seri(i,k) - wake_s(i)*wake_deltaq(i,k)
+
+    !!jyg    IF (MOD(itapcv,cvpas).EQ.0) THEN
+    !!    print *,' physiq : itapcv, cvpas, itap-1, cvpas_0 ', &
+    !!                       itapcv, cvpas, itap-1, cvpas_0
+    IF (MOD(itapcv, cvpas)==0 .OR. MOD(itap - 1, cvpas_0)==0) THEN
+
+      ! Mettre a zero des variables de sortie (pour securite)
+
+      pmflxr(:, :) = 0.
+      pmflxs(:, :) = 0.
+      wdtrainA(:, :) = 0.
+      wdtrainS(:, :) = 0.
+      wdtrainM(:, :) = 0.
+      upwd(:, :) = 0.
+      dnwd(:, :) = 0.
+      ep(:, :) = 0.
+      da(:, :) = 0.
+      mp(:, :) = 0.
+      wght_cvfd(:, :) = 0.
+      phi(:, :, :) = 0.
+      phi2(:, :, :) = 0.
+      epmlmMm(:, :, :) = 0.
+      eplaMm(:, :) = 0.
+      d1a(:, :) = 0.
+      dam(:, :) = 0.
+      elij(:, :, :) = 0.
+      ev(:, :) = 0.
+      qtaa(:, :) = 0.
+      clw(:, :) = 0.
+      sij(:, :, :) = 0.
+
+      IF (iflag_con==1) THEN
+        abort_message = 'reactiver le call conlmd dans physiq.F'
+        CALL abort_physic (modname, abort_message, 1)
+        !     CALL conlmd (phys_tstep, paprs, pplay, t_seri, q_seri, conv_q,
+        !    .             d_t_con, d_q_con,
+        !    .             rain_con, snow_con, ibas_con, itop_con)
+      ELSE IF (iflag_con==2) THEN
+        CALL conflx(phys_tstep, paprs, pplay, t_seri, q_seri, &
+                conv_t, conv_q, -evap, omega, &
+                d_t_con, d_q_con, rain_con, snow_con, &
+                pmfu, pmfd, pen_u, pde_u, pen_d, pde_d, &
+                kcbot, kctop, kdtop, pmflxr, pmflxs)
+        d_u_con = 0.
+        d_v_con = 0.
+
+        WHERE (rain_con < 0.) rain_con = 0.
+        WHERE (snow_con < 0.) snow_con = 0.
+        DO i = 1, klon
+          ibas_con(i) = klev + 1 - kcbot(i)
+          itop_con(i) = klev + 1 - kctop(i)
+        ENDDO
+      ELSE IF (iflag_con>=3) THEN
+        ! nb of tracers for the KE convection:
+        ! MAF la partie traceurs est faite dans phytrac
+        ! on met ntra=1 pour limiter les appels mais on peut
+        ! supprimer les calculs / ftra.
+        ntra = 1
+
+        !=======================================================================
+        !ajout pour la parametrisation des poches froides: calcul de
+        !t_w et t_x: si pas de poches froides, t_w=t_x=t_seri
+        IF (iflag_wake>=1) THEN
+          DO k = 1, klev
+            DO i = 1, klon
+              t_w(i, k) = t_seri(i, k) + (1 - wake_s(i)) * wake_deltat(i, k)
+              q_w(i, k) = q_seri(i, k) + (1 - wake_s(i)) * wake_deltaq(i, k)
+              t_x(i, k) = t_seri(i, k) - wake_s(i) * wake_deltat(i, k)
+              q_x(i, k) = q_seri(i, k) - wake_s(i) * wake_deltaq(i, k)
             ENDDO
-         ENDDO
-       ELSE
-                t_w(:,:) = t_seri(:,:)
-                q_w(:,:) = q_seri(:,:)
-                t_x(:,:) = t_seri(:,:)
-                q_x(:,:) = q_seri(:,:)
-       ENDIF
-       !
-       !jyg<
-       ! Perform dry adiabatic adjustment on wake profile
-       ! The corresponding tendencies are added to the convective tendencies
-       ! after the call to the convective scheme.
-       IF (iflag_wake>=1) then
+          ENDDO
+        ELSE
+          t_w(:, :) = t_seri(:, :)
+          q_w(:, :) = q_seri(:, :)
+          t_x(:, :) = t_seri(:, :)
+          q_x(:, :) = q_seri(:, :)
+        ENDIF
+
+        !jyg<
+        ! Perform dry adiabatic adjustment on wake profile
+        ! The corresponding tendencies are added to the convective tendencies
+        ! after the call to the convective scheme.
+        IF (iflag_wake>=1) then
           IF (iflag_adjwk >= 1) THEN
-             limbas(:) = 1
-             CALL ajsec(paprs, pplay, t_w, q_w, limbas, &
-                  d_t_adjwk, d_q_adjwk)
-             !
-             DO k=1,klev
-                DO i=1,klon
-                   IF (wake_s(i) > 1.e-3) THEN
-                      t_w(i,k) = t_w(i,k) + d_t_adjwk(i,k)
-                      q_w(i,k) = q_w(i,k) + d_q_adjwk(i,k)
-                      d_deltat_ajs_cv(i,k) = d_t_adjwk(i,k)
-                      d_deltaq_ajs_cv(i,k) = d_q_adjwk(i,k)
-                   ELSE
-                      d_deltat_ajs_cv(i,k) = 0.
-                      d_deltaq_ajs_cv(i,k) = 0.
-                   ENDIF
-                ENDDO
-             ENDDO
-             IF (iflag_adjwk == 2 .AND. OK_bug_ajs_cv) THEN
-               CALL add_wake_tend &
-                 (d_deltat_ajs_cv, d_deltaq_ajs_cv, dsig0, dsig0, ddens0, ddens0, wkoccur1, 'ajs_cv', abortphy) 
-             ENDIF  ! (iflag_adjwk == 2 .AND. OK_bug_ajs_cv)
+            limbas(:) = 1
+            CALL ajsec(paprs, pplay, t_w, q_w, limbas, &
+                    d_t_adjwk, d_q_adjwk)
+
+            DO k = 1, klev
+              DO i = 1, klon
+                IF (wake_s(i) > 1.e-3) THEN
+                  t_w(i, k) = t_w(i, k) + d_t_adjwk(i, k)
+                  q_w(i, k) = q_w(i, k) + d_q_adjwk(i, k)
+                  d_deltat_ajs_cv(i, k) = d_t_adjwk(i, k)
+                  d_deltaq_ajs_cv(i, k) = d_q_adjwk(i, k)
+                ELSE
+                  d_deltat_ajs_cv(i, k) = 0.
+                  d_deltaq_ajs_cv(i, k) = 0.
+                ENDIF
+              ENDDO
+            ENDDO
+            IF (iflag_adjwk == 2 .AND. OK_bug_ajs_cv) THEN
+              CALL add_wake_tend &
+                      (d_deltat_ajs_cv, d_deltaq_ajs_cv, dsig0, dsig0, ddens0, ddens0, wkoccur1, 'ajs_cv', abortphy)
+            ENDIF  ! (iflag_adjwk == 2 .AND. OK_bug_ajs_cv)
           ENDIF  ! (iflag_adjwk >= 1)
-       ENDIF ! (iflag_wake>=1)
-       !>jyg
-       !
-        
-!!      print *,'physiq. q_w(1,k), q_x(1,k) ', &
-!!             (k, q_w(1,k), q_x(1,k),k=1,25)
-
-!jyg<
-       CALL alpale( debut, itap, phys_tstep, paprs, omega, t_seri,   &
-                    alp_offset, it_wape_prescr,  wape_prescr, fip_prescr, &
-                    ale_bl_prescr, alp_bl_prescr, &
-                    wake_pe, wake_fip,  &
-                    Ale_bl, Ale_bl_trig, Alp_bl, &
-                    Ale, Alp , Ale_wake, Alp_wake)
-!>jyg
-!
-       ! sb, oct02:
-       ! Schema de convection modularise et vectorise:
-       ! (driver commun aux versions 3 et 4)
-       !
-       IF (ok_cvl) THEN ! new driver for convectL
-          !
+        ENDIF ! (iflag_wake>=1)
+        !>jyg
+
+        !!      print *,'physiq. q_w(1,k), q_x(1,k) ', &
+        !!             (k, q_w(1,k), q_x(1,k),k=1,25)
+
+        !jyg<
+        CALL alpale(debut, itap, phys_tstep, paprs, omega, t_seri, &
+                alp_offset, it_wape_prescr, wape_prescr, fip_prescr, &
+                ale_bl_prescr, alp_bl_prescr, &
+                wake_pe, wake_fip, &
+                Ale_bl, Ale_bl_trig, Alp_bl, &
+                Ale, Alp, Ale_wake, Alp_wake)
+        !>jyg
+
+        ! sb, oct02:
+        ! Schema de convection modularise et vectorise:
+        ! (driver commun aux versions 3 et 4)
+
+        IF (ok_cvl) THEN ! new driver for convectL
+
           !jyg<
           ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
